#include<bits/stdc++.h>
using namespace std;
int factoriel(int a)
{
    int b = 1;
    for(int i = 1; i<a+1; i++)
    {
        b = b*i;
    }
    return b;
}
int main()
{
    int n;
    cin>>n;
    int array[n-1];
    for(int i = 1; i < n+1; i++)
        array[i] = i;
    int a = 1;
    int proizv = 1;
    while(proizv<n)
    {
        a++;
        proizv = proizv*a;
    }
    a = a-1;
    int b=0;
    int yorn;
    for(int h = 1; h < n + 1; h++)
    {
        if((h-1)/factoriel(a)*factoriel(a)==h-1 && b<h)
        {
            b = h;
        }
    }
    cout<<b;
    return 0;
}
